function mh_showGrayGradient(msg_input,msg_inputOffset,msg_inputBinsize,msg_interpolationFactor,msg_normalization,...
    msg_displayWidth,msg_traceViewOffset,msg_traceViewScale,msg_yaxisRange,msg_filename)

   
    msg_inputInterp = interp1([1:size(msg_input,1)]',msg_input,linspace(1,size(msg_input,1)',msg_interpolationFactor*size(msg_input,1)))';
    msg_inputInterp = msg_inputInterp/msg_normalization;
    
    msg_filterSize = round(size(msg_inputInterp,1)/30);
    msg_filterSize = msg_filterSize + mod(msg_filterSize+1,2);
   
    msg_filtered = msg_inputInterp;
    for msg_i=1:size(msg_filtered,1)
        msg_filtered(msg_i) = mean(msg_inputInterp(max(floor(msg_i-msg_filterSize/2),1):min(ceil(msg_i+msg_filterSize/2),size(msg_filtered,1))));
    end

    msg_mx = zeros(size(msg_filtered,1),msg_displayWidth);
    
    for msg_i=1:size(msg_mx,2)
        msg_mx(:,msg_i) = (1-msg_filtered)*4+0.1;
    end

    
    msg_scaleend = msg_inputOffset + (size(msg_input,1)-1)*msg_inputBinsize;

    figure
    subplot(1,2,1)
    image(msg_mx,'CDataMapping','scaled','YData',linspace(msg_inputOffset,msg_scaleend,size(msg_mx,1)));
    set(gca,'CLim',[0 4.1]);
    colormap gray
    hold on

    if nargin > 8
        set(gca,'YLim',msg_yaxisRange,'YDir','normal');
        
    end
    
    traceViewOffsetScaled=msg_traceViewOffset/msg_traceViewScale;
    % plot uninterpolated
    %plot(msg_traceViewScale*(msg_input+traceViewOffsetScaled),linspace(msg_inputOffset,msg_scaleend,size(msg_input,1))');
    
    % plot interpolated
    plot(msg_traceViewScale*(msg_filtered+traceViewOffsetScaled),linspace(msg_inputOffset,msg_scaleend,size(msg_filtered,1))','r');

    ylabel('\mum');

    subplot(1,2,2)
    axis([0 1 0 1]);
    text(0,0.8,sprintf('settings:\n\nname:\n%s\ninput Offset: %d\ninput binsize: %d\ninterpolation Factor: %d\nnormalization factor: %d\ndisplay width: %d\nline profile offset: %d\nline profile scale: %d',...
        msg_filename,msg_inputOffset,msg_inputBinsize,msg_interpolationFactor,msg_normalization,msg_displayWidth,msg_traceViewOffset,msg_traceViewScale),'Interpreter','none');
    axis off

end

